Module com.io7m.jtensors.storage.api
Package com.io7m.jtensors.storage.api.unparameterized.vectors

## Interface VectorStorageIntegral2Type

- All Superinterfaces:
    `VectorReadable2LType`, `VectorStorageType`
  All Known Subinterfaces:
    `PVectorByteBufferedIntegral2Type<T>`, `PVectorByteBufferedIntegral3Type<T>`, `PVectorByteBufferedIntegral4Type<T>`, `PVectorStorageIntegral2Type<T>`, `PVectorStorageIntegral3Type<T>`, `PVectorStorageIntegral4Type<T>`, `VectorByteBufferedIntegral2Type`, `VectorByteBufferedIntegral3Type`, `VectorByteBufferedIntegral4Type`, `VectorStorageIntegral3Type`, `VectorStorageIntegral4Type`
  All Known Implementing Classes:
    `PVectorByteBufferedIntegral2s16`, `PVectorByteBufferedIntegral2s32`, `PVectorByteBufferedIntegral2s64`, `PVectorByteBufferedIntegral2s8`, `PVectorByteBufferedIntegral3s16`, `PVectorByteBufferedIntegral3s32`, `PVectorByteBufferedIntegral3s64`, `PVectorByteBufferedIntegral3s8`, `PVectorByteBufferedIntegral4s16`, `PVectorByteBufferedIntegral4s32`, `PVectorByteBufferedIntegral4s64`, `PVectorByteBufferedIntegral4s8`, `PVectorMutable2L`, `PVectorMutable3L`, `PVectorMutable4L`, `VectorByteBufferedIntegral2s16`, `VectorByteBufferedIntegral2s32`, `VectorByteBufferedIntegral2s64`, `VectorByteBufferedIntegral2s8`, `VectorByteBufferedIntegral3s16`, `VectorByteBufferedIntegral3s32`, `VectorByteBufferedIntegral3s64`, `VectorByteBufferedIntegral3s8`, `VectorByteBufferedIntegral4s16`, `VectorByteBufferedIntegral4s32`, `VectorByteBufferedIntegral4s64`, `VectorByteBufferedIntegral4s8`, `VectorMutable2L`, `VectorMutable3L`, `VectorMutable4L`

      public interface VectorStorageIntegral2Type
      extends VectorReadable2LType, VectorStorageType

  The type of mutable 2D integral number vectors.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `setVector2I​(Vector2I v)` | Set the components from the given vector.
    `default void` | `setVector2L​(Vector2L v)` | Set the components from the given vector.
    `void` | `setX​(long x)` | Set the `x` component.
    `default void` | `setXY​(long x, long y)` | Set the `x` and `y` components.
    `void` | `setY​(long y)` | Set the `Y` component.

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2LType

      `x, y`

- - ### Method Detail

    - #### setVector2L

          default void setVector2L​(Vector2L v)

      Set the components from the given vector.
      Parameters:
        `v` - The source vector

    - #### setVector2I

          default void setVector2I​(Vector2I v)

      Set the components from the given vector.
      Parameters:
        `v` - The source vector

    - #### setX

          void setX​(long x)

      Set the `x` component.
      Parameters:
        `x` - The X component

    - #### setY

          void setY​(long y)

      Set the `Y` component.
      Parameters:
        `y` - The Y component

    - #### setXY

          default void setXY​(long x,
                             long y)

      Set the `x` and `y` components.
      Parameters:
        `x` - The X component
        `y` - The Y component

Copyright © 2017 <code@io7m.com> http://io7m.com